function [x2,M]=matrixfind2(x2,M)


aux=x2; %copiamos x2 en una matriz auxiliar
[N,W] = size(M);
[N2,W2]=size(aux);

for i=1:N2     %recorremos todos los obetjos de la nueva imagen
    ymax=0;
    dmin=10000;
    for j=1:N  %buscamos a cada objeto en la matriz master
        y=[find(abs(M(j,2)-aux(i,2))<=2) find(abs(M(j,10)-aux(i,10))<=30) find(abs(M(j,11)-aux(i,11))<=10) find(abs(M(j,5)-aux(i,5))<=10) find(abs(M(j,6)-aux(i,6) )<=10) find(abs(M(j,7)-aux(i,7))<=10)];
        y=sum(y);  %cada vez q una caracteristica del nuevo objeto coincide con uno de la matriz master, se activa un elemento de "y"
        x = [aux(i,8),aux(i,9);M(j,8),M(j,9)];
        d = pdist(x,'euclidean');
        if d<dmin
            dmin=d;
            y=y+1;
        end  
        if y>ymax   %averiguamos la y maxima y la guardamos en y2
            ymax=y;
            z=j;  %guardamos la posicion de la "y" maxima "j" en otra variable "z"
        end 
    end
    if  ymax==7              %si la y maxima ha sido un 4: 100% de coincidencia y asi sucesivamente (k)
        x2(i,1)=M(z,1);    %sustituimos el indice de objeto x2(i,1) por el dado en la matriz master
        M(z,2)=round((x2(i,2)+M(z,2))/2);
        M(z,5)=round((x2(i,5)+M(z,5))/2);
        M(z,6)=round((x2(i,6)+M(z,6))/2);
        M(z,7)=round((x2(i,7)+M(z,7))/2);
        M(z,8)=x2(i,8);
        M(z,9)=x2(i,9);
        M(z,10)=round((x2(i,10)+M(z,10))/2);
        M(z,11)=round((x2(i,11)+M(z,11))/2); 
        k=100;                         
    elseif  ymax==6                          
        x2(i,1)=M(z,1);
        M(z,2)=round((x2(i,2)+M(z,2))/2);
        M(z,5)=round((x2(i,5)+M(z,5))/2);
        M(z,6)=round((x2(i,6)+M(z,6))/2);
        M(z,7)=round((x2(i,7)+M(z,7))/2);
        M(z,8)=x2(i,8);
        M(z,9)=x2(i,9);
        M(z,10)=round((x2(i,10)+M(z,10))/2);
        M(z,11)=round((x2(i,11)+M(z,11))/2);   
        k=80;         
    elseif  ymax==5                         
        x2(i,1)=M(z,1);
        M(z,2)=round((x2(i,2)+M(z,2))/2);
        M(z,5)=round((x2(i,5)+M(z,5))/2);
        M(z,6)=round((x2(i,6)+M(z,6))/2);
        M(z,7)=round((x2(i,7)+M(z,7))/2);
        k=60;     
    elseif  ymax <= 4 
        [N,W] = size(M);
        x2(i,1)=N+1;      %si no lo encontramo (y==0) a?adimos una nueva fila con ese objeto a M
        
        M=[M;x2(i,:)];
        k=0;
    end
   
end
